<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePaidInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('paid_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('order_id')->comment('订单id');
            $table->double('order_price')->comment('订单金额');
            $table->tinyInteger('type')->comment('付款方式');
            $table->double('paid_price')->comment('付款金额');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('paid_info');
    }
}
